{% extends "FOSUserBundle::layout.html.twig" %}

{% trans_default_domain 'FOSUserBundle' %}

{% block fos_user_content %}
    <div class="container">
        <div class="page-header">
            <h1>Connexion <small>vous devez vous connecter pour continuer</small></h1>
        </div>
        <div class="row">
            <div class="col-md-6  col-md-offset-3">
                <a href="{{ url("hwi_oauth_service_redirect",{service:"bde_azure"}) }}" style="width: 100%;" class="btn btn-danger">Se connecter avec un compte BdE INSA Lyon</a>
            </div>
            <div class="col-md-3"></div>
            <div class="col-md-6  col-md-offset-3">
                <a onclick="document.getElementById('login').style.display = 'block'; this.style.display='none'" style="margin-top: 20px;width: 100%;" class="btn btn-primary">Se connecter avec un compte Système</a>
            </div>
            <div class="col-md-3"></div>
            <div class="col-md-6 col-md-offset-3" id="login" style="margin-top: 20px; display: none">
                <div><p>Connexion avec un login adhesion :</p></div>
                {% if error %}
                    <div>{{ error.messageKey|trans(error.messageData, 'security') }}</div>
                {% endif %}

                <form action="{{ path("fos_user_security_check") }}" method="post" class="form-horizontal">
                    <input type="hidden" name="_csrf_token" value="{{ csrf_token }}" />
                    <div class="form-group">
                        <label for="inputEmail3" class="col-sm-2 control-label">Login</label>
                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="username" name="_username" value="{{ last_username }}" required="required"  placeholder="Login">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="inputPassword3" class="col-sm-2 control-label">Password</label>
                        <div class="col-sm-10">
                            <input type="password" class="form-control" id="_password" name="_password" placeholder="Password">
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-offset-2 col-sm-10">
                            <div class="checkbox">
                                <label>
                                    <input type="checkbox" id="remember_me"> Remember me
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-offset-2 col-sm-10">
                            <button type="submit" id="_submit" name="_submit" class="btn btn-default">Connexion</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
{% endblock fos_user_content %}